% ====================================================================
%
% Calculation of Period and Resonance Curve for Monster Truck
%
% CBP 04-02-21
% revs: 08-02-22
% Monster_Resonance_09_02.m
% RELEASE
%
% ====================================================================

% following data for coil spring
dataCoil = [
2.0   0.322

];

% following data for air spring
dataAir = [
1.2   0.733

];

mass = 600
springConstant = 26000
damping = 1;
forcingAmplitude = 0.25

m = mass;
k = springConstant;
b = m*damping;
F = forcingAmplitude*springConstant;

Tfree = 2*pi*sqrt(m/k)

T = [0:2*Tfree/1000:5*Tfree];

om = (2*pi)./T;
om0 = sqrt(k/m);

A = F./sqrt(m^2*(om0^2-om.^2).^2 + b^2*om.^2);

plot(T,A);
xlabel('Period (secs)');
ylabel(' (m)');
grid;

hold on;
plot(dataCoil(:,1),dataCoil(:,2),'ro');
plot(dataAir(:,1),dataAir(:,2),'gx');
hold off;